Skip to content

Get one published background scene

GET
/v1/backgrounds/{public_id}
curl --request GET \
--url https://example.com/v1/backgrounds/example \
--header 'Authorization: Bearer <token>'
public_id
required
Public Id
string
X-Shopify-Hmac-Sha256
Any of:
string

Successful Response

Media typeapplication/json
PublishedBackgroundResponse

Client-safe published Background picker projection.

It exposes the selected visual plate plus compact browse facets, never the raw S3 key, draft IR provenance, or other review candidates.

object
public_id
required
Public Id
string
display_name
required
Display Name
string
preview_url
required
Preview Url
string
summary
required
Summary
string
shared
Shared
boolean
setting
required
Setting
string
topology
required
Topology
string
light_label
required
Light Label
string
palette
Palette
Array<string>
supported_crops
Supported Crops
Array<string>
updated_at
required
Updated At
string format: date-time
Example
{
"shared": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}